## ocropus 0.3.1

=== Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright 2008 Deutsches Forschungszentrum fuer Kuenstliche Intelligenz 
# or its licensors, as applicable.
# 
# You may not use this file except under the terms of the accompanying license.
# 
# Licensed under the Apache License, Version 2.0 (the "License"); you
# may not use this file except in compliance with the License. You may
# obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 
# Project: OCRopus - the open source document analysis and OCR system
# File: Makefile.am
# Purpose: building OCRopus
# Responsible: kofler
# Reviewer: 
# Primary Repository: http://ocropus.googlecode.com/svn/trunk/
# Web Sites: www.iupr.org, www.dfki.de



srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/ocropus
pkglibdir = $(libdir)/ocropus
pkgincludedir = $(includedir)/ocropus
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :

# handling optional open-fst part
#am__append_1 = -DHAVE_FST
#am__append_2 = $(srcdir)/ocr-langmods/fstbuilder.cc  $(srcdir)/ocr-langmods/fstutil.cc  $(srcdir)/ocr-langmods/fstmodels.cc
#am__append_3 = $(srcdir)/ocr-langmods/fstutil.h $(srcdir)/ocr-langmods/fstmodels.h $(srcdir)/ocr-langmods/fstbuilder.h

# handling optional tesseract part
am__append_4 = -I$(srcdir)/ocr-tesseract -I/usr/local/include/tesseract -DHAVE_TESSERACT
am__append_5 = $(srcdir)/ocr-tesseract/tesseract.cc $(srcdir)/ocr-tesseract/recognized-page.cc
am__append_6 = $(srcdir)/ocr-tesseract/tesseract.h $(srcdir)/ocr-tesseract/recognized-page.h

# handling optional leptonica part
#am__append_7 = -I -DHAVE_LEPTONICA
#am__append_8 = $(srcdir)/ocr-leptonica/ocr-text-image-seg-leptonica.h
subdir = .
DIST_COMMON = README $(am__configure_deps) \
	$(am__ocropusinclude_HEADERS_DIST) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/configure \
	$(top_srcdir)/ext/lua/Makefile.in \
	$(top_srcdir)/ext/tolua++/Makefile.in COPYING INSTALL depcomp \
	install-sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES = ext/tolua++/Makefile ext/lua/Makefile
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(modeldir)" \
	"$(DESTDIR)$(worddir)" "$(DESTDIR)$(ocropusincludedir)"
libLIBRARIES_INSTALL = $(INSTALL_DATA)
LIBRARIES = $(lib_LIBRARIES)
AR = ar
ARFLAGS = cru
libocropus_a_AR = $(AR) $(ARFLAGS)
libocropus_a_LIBADD =
am__libocropus_a_SOURCES_DIST = $(srcdir)/ext/voronoi/voronoi.cc \
	$(srcdir)/ext/voronoi/dinfo.cc $(srcdir)/ext/voronoi/erase.cc \
	$(srcdir)/ext/voronoi/img_to_site.cc \
	$(srcdir)/ext/voronoi/usage.cc \
	$(srcdir)/ext/voronoi/draw_line.cc \
	$(srcdir)/ext/voronoi/memory.cc \
	$(srcdir)/ext/voronoi/read_image.cc \
	$(srcdir)/ext/voronoi/heap.cc $(srcdir)/ext/voronoi/hash.cc \
	$(srcdir)/ext/voronoi/bit_func.cc \
	$(srcdir)/ext/voronoi/geometry.cc \
	$(srcdir)/ext/voronoi/output.cc \
	$(srcdir)/ext/voronoi/edgelist.cc \
	$(srcdir)/ext/voronoi/voronoi-pageseg.cc \
	$(srcdir)/ext/voronoi/voronoi-ocropus.cc \
	$(srcdir)/ext/voronoi/sites.cc $(srcdir)/ext/voronoi/cline.cc \
	$(srcdir)/ext/voronoi/label_func.cc \
	$(srcdir)/ocr-langmods/beam-search.cc \
	$(srcdir)/ocr-langmods/langmod-shortest-path.cc \
	$(srcdir)/ocr-langmods/lattice.cc \
	$(srcdir)/ocr-binarize/ocr-binarize-sauvola.cc \
	$(srcdir)/ocr-binarize/ocr-binarize-otsu.cc \
	$(srcdir)/ocr-bpnet/make-garbage.cc \
	$(srcdir)/ocr-bpnet/bpnetline.cc \
	$(srcdir)/ocr-bpnet/charlib-pnglist.cc \
	$(srcdir)/ocr-bpnet/grouping.cc \
	$(srcdir)/ocr-bpnet/charlib-ocropus.cc \
	$(srcdir)/ocr-bpnet/charlib-segmentation.cc \
	$(srcdir)/ocr-bpnet/charlib-screen-ocr.cc \
	$(srcdir)/ocr-bpnet/feature-extractor.cc \
	$(srcdir)/ocr-bpnet/charlib.cc $(srcdir)/ocr-bpnet/bpnet.cc \
	$(srcdir)/ocr-bpnet/classify-chars.cc \
	$(srcdir)/ocr-bpnet/additions.cc \
	$(srcdir)/ocr-bpnet/charlib-uw3.cc \
	$(srcdir)/ocr-bpnet/feature-stream.cc \
	$(srcdir)/ocr-bpnet/charlib-grid.cc \
	$(srcdir)/ocr-bpnet/mnist.cc \
	$(srcdir)/ocr-bpnet/confusion-matrix.cc \
	$(srcdir)/ocr-deskew-rast/ocr-deskew-rast.cc \
	$(srcdir)/ocr-doc-clean/ocr-noisefilter.cc \
	$(srcdir)/ocr-doc-clean/ocr-doc-clean.cc \
	$(srcdir)/ocr-doc-clean/ocr-doc-clean-concomp.cc \
	$(srcdir)/ocr-doc-clean/ocr-pageframe-rast.cc \
	$(srcdir)/ocr-layout-rast/ocr-layout-rast.cc \
	$(srcdir)/ocr-layout-rast/line-info.cc \
	$(srcdir)/ocr-layout-rast/ocr-extract-gutters.cc \
	$(srcdir)/ocr-layout-rast/ocr-ctextline-rast.cc \
	$(srcdir)/ocr-layout-rast/ocr-whitespace-cover.cc \
	$(srcdir)/ocr-layout-rast/ocr-char-stats.cc \
	$(srcdir)/ocr-layout-rast/ocr-ctextline-rast-extended.cc \
	$(srcdir)/ocr-pageseg/ocr-pageseg-wcuts.cc \
	$(srcdir)/ocr-pageseg/ocr-text-image-seg.cc \
	$(srcdir)/ocr-pageseg/log-reg-data.cc \
	$(srcdir)/ocr-pageseg/ocr-pageseg-xycut.cc \
	$(srcdir)/ocr-pageseg/ocr-classify-zones.cc \
	$(srcdir)/ocr-pageseg/ocr-word-segmentation.cc \
	$(srcdir)/ocr-leptonica/ocr-text-image-seg-leptonica.cc \
	$(srcdir)/ocr-samples/ocr-layout-smear.cc \
	$(srcdir)/ocr-samples/ocr-cseg-ccs.cc \
	$(srcdir)/ocr-samples/ocr-cseg-projection.cc \
	$(srcdir)/ocr-samples/kmeans.cc \
	$(srcdir)/ocr-samples/ocr-binarize-range.cc \
	$(srcdir)/ocr-samples/nearestneighbor.cc \
	$(srcdir)/ocr-samples/ocr-layout-1cp.cc \
	$(srcdir)/ocr-samples/glinerec.cc \
	$(srcdir)/ocr-utils/narray-io.cc \
	$(srcdir)/ocr-utils/ocr-segmentations.cc \
	$(srcdir)/ocr-utils/didegrade.cc \
	$(srcdir)/ocr-utils/seg-skel.cc $(srcdir)/ocr-utils/lines.cc \
	$(srcdir)/ocr-utils/logger.cc $(srcdir)/ocr-utils/grouper.cc \
	$(srcdir)/ocr-utils/idmap.cc $(srcdir)/ocr-utils/eigens.cc \
	$(srcdir)/ocr-utils/sysutil.cc \
	$(srcdir)/ocr-utils/ocr-utils.cc \
	$(srcdir)/ocr-utils/resource-path.cc \
	$(srcdir)/ocr-utils/seg-ccs.cc $(srcdir)/ocr-utils/seg-cuts.cc \
	$(srcdir)/ocr-utils/seg-eval.cc \
	$(srcdir)/ocr-utils/editdist.cc \
	$(srcdir)/ocr-langmods/fstbuilder.cc \
	$(srcdir)/ocr-langmods/fstutil.cc \
	$(srcdir)/ocr-langmods/fstmodels.cc \
	$(srcdir)/ocr-tesseract/tesseract.cc \
	$(srcdir)/ocr-tesseract/recognized-page.cc
#am__objects_1 = fstbuilder.$(OBJEXT) fstutil.$(OBJEXT) \
#	fstmodels.$(OBJEXT)
am__objects_2 = tesseract.$(OBJEXT) \
	recognized-page.$(OBJEXT)
am_libocropus_a_OBJECTS = voronoi.$(OBJEXT) dinfo.$(OBJEXT) \
	erase.$(OBJEXT) img_to_site.$(OBJEXT) usage.$(OBJEXT) \
	draw_line.$(OBJEXT) memory.$(OBJEXT) read_image.$(OBJEXT) \
	heap.$(OBJEXT) hash.$(OBJEXT) bit_func.$(OBJEXT) \
	geometry.$(OBJEXT) output.$(OBJEXT) edgelist.$(OBJEXT) \
	voronoi-pageseg.$(OBJEXT) voronoi-ocropus.$(OBJEXT) \
	sites.$(OBJEXT) cline.$(OBJEXT) label_func.$(OBJEXT) \
	beam-search.$(OBJEXT) langmod-shortest-path.$(OBJEXT) \
	lattice.$(OBJEXT) ocr-binarize-sauvola.$(OBJEXT) \
	ocr-binarize-otsu.$(OBJEXT) make-garbage.$(OBJEXT) \
	bpnetline.$(OBJEXT) charlib-pnglist.$(OBJEXT) \
	grouping.$(OBJEXT) charlib-ocropus.$(OBJEXT) \
	charlib-segmentation.$(OBJEXT) charlib-screen-ocr.$(OBJEXT) \
	feature-extractor.$(OBJEXT) charlib.$(OBJEXT) bpnet.$(OBJEXT) \
	classify-chars.$(OBJEXT) additions.$(OBJEXT) \
	charlib-uw3.$(OBJEXT) feature-stream.$(OBJEXT) \
	charlib-grid.$(OBJEXT) mnist.$(OBJEXT) \
	confusion-matrix.$(OBJEXT) ocr-deskew-rast.$(OBJEXT) \
	ocr-noisefilter.$(OBJEXT) ocr-doc-clean.$(OBJEXT) \
	ocr-doc-clean-concomp.$(OBJEXT) ocr-pageframe-rast.$(OBJEXT) \
	ocr-layout-rast.$(OBJEXT) line-info.$(OBJEXT) \
	ocr-extract-gutters.$(OBJEXT) ocr-ctextline-rast.$(OBJEXT) \
	ocr-whitespace-cover.$(OBJEXT) ocr-char-stats.$(OBJEXT) \
	ocr-ctextline-rast-extended.$(OBJEXT) \
	ocr-pageseg-wcuts.$(OBJEXT) ocr-text-image-seg.$(OBJEXT) \
	log-reg-data.$(OBJEXT) ocr-pageseg-xycut.$(OBJEXT) \
	ocr-classify-zones.$(OBJEXT) ocr-word-segmentation.$(OBJEXT) \
	ocr-text-image-seg-leptonica.$(OBJEXT) \
	ocr-layout-smear.$(OBJEXT) ocr-cseg-ccs.$(OBJEXT) \
	ocr-cseg-projection.$(OBJEXT) kmeans.$(OBJEXT) \
	ocr-binarize-range.$(OBJEXT) nearestneighbor.$(OBJEXT) \
	ocr-layout-1cp.$(OBJEXT) glinerec.$(OBJEXT) \
	narray-io.$(OBJEXT) ocr-segmentations.$(OBJEXT) \
	didegrade.$(OBJEXT) seg-skel.$(OBJEXT) lines.$(OBJEXT) \
	logger.$(OBJEXT) grouper.$(OBJEXT) idmap.$(OBJEXT) \
	eigens.$(OBJEXT) sysutil.$(OBJEXT) ocr-utils.$(OBJEXT) \
	resource-path.$(OBJEXT) seg-ccs.$(OBJEXT) seg-cuts.$(OBJEXT) \
	seg-eval.$(OBJEXT) editdist.$(OBJEXT) $(am__objects_1) \
	$(am__objects_2)
libocropus_a_OBJECTS = $(am_libocropus_a_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
SOURCES = $(libocropus_a_SOURCES)
DIST_SOURCES = $(am__libocropus_a_SOURCES_DIST)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
modelDATA_INSTALL = $(INSTALL_DATA)
wordDATA_INSTALL = $(INSTALL_DATA)
DATA = $(model_DATA) $(word_DATA)
am__ocropusinclude_HEADERS_DIST = $(srcdir)/ext/voronoi/extern.h \
	$(srcdir)/ext/voronoi/read_image.h \
	$(srcdir)/ext/voronoi/function.h $(srcdir)/ext/voronoi/defs.h \
	$(srcdir)/ext/voronoi/voronoi-ocropus.h \
	$(srcdir)/ext/voronoi/const.h \
	$(srcdir)/ocr-langmods/beam-search.h \
	$(srcdir)/ocr-langmods/langmod-shortest-path.h \
	$(srcdir)/ocr-langmods/lattice.h \
	$(srcdir)/ocr-binarize/ocr-binarize-sauvola.h \
	$(srcdir)/ocr-binarize/ocr-binarize-otsu.h \
	$(srcdir)/ocr-bpnet/grouping.h \
	$(srcdir)/ocr-bpnet/make-garbage.h \
	$(srcdir)/ocr-bpnet/charlib.h \
	$(srcdir)/ocr-bpnet/feature-extractor.h \
	$(srcdir)/ocr-bpnet/confusion-matrix.h \
	$(srcdir)/ocr-bpnet/bpnet.h $(srcdir)/ocr-bpnet/additions.h \
	$(srcdir)/ocr-bpnet/feature-stream.h \
	$(srcdir)/ocr-bpnet/mnist.h $(srcdir)/ocr-bpnet/classmap.h \
	$(srcdir)/ocr-bpnet/classify-chars.h \
	$(srcdir)/ocr-bpnet/bpnetline.h \
	$(srcdir)/ocr-deskew-rast/ocr-deskew-rast.h \
	$(srcdir)/ocr-doc-clean/ocr-noisefilter.h \
	$(srcdir)/ocr-doc-clean/ocr-doc-clean.h \
	$(srcdir)/ocr-doc-clean/ocr-doc-clean-concomp.h \
	$(srcdir)/ocr-doc-clean/ocr-pageframe-rast.h \
