=== ocroscript/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# ocroscript/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright 2008 Deutsches Forschungszentrum fuer Kuenstliche Intelligenz 
# or its licensors, as applicable.
# 
# You may not use this file except under the terms of the accompanying license.
# 
# Licensed under the Apache License, Version 2.0 (the "License"); you
# may not use this file except in compliance with the License. You may
# obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 
# Project: OCRopus - the open source document analysis and OCR system
# File: Makefile.am
# Purpose: building ocrocsript
# Responsible: kofler
# Reviewer: 
# Primary Repository: http://ocropus.googlecode.com/svn/trunk/
# Web Sites: www.iupr.org, www.dfki.de



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/ocropus
pkglibdir = $(libdir)/ocropus
pkgincludedir = $(includedir)/ocropus
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
bin_PROGRAMS = ocroscript$(EXEEXT)

# TODO depend on libocropus.a, i.e. compile it if not there!
#am__append_1 = -DHAVE_FST
#am__append_2 = $(srcdir)/fst.cc
am__append_3 = -I$(srcdir)/../ocr-tesseract -I/usr/local/include/tesseract -DHAVE_TESSERACT
am__append_4 = $(srcdir)/tess.cc
#am__append_5 = $(srcdir)/tess-stub.cc
#am__append_6 = -DLUA_USE_EDITLINE
#am__append_7 = -leditline
#am__append_8 = -DHAVE_LEPTONICA
#am__append_9 = -llept
subdir = ocroscript
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
	"$(DESTDIR)$(scriptsdir)"
libLIBRARIES_INSTALL = $(INSTALL_DATA)
LIBRARIES = $(lib_LIBRARIES)
AR = ar
ARFLAGS = cru
libocroscript_a_AR = $(AR) $(ARFLAGS)
libocroscript_a_LIBADD =
am__libocroscript_a_SOURCES_DIST = $(srcdir)/graphics.cc \
	$(srcdir)/sysutil.cc $(srcdir)/image.cc \
	$(srcdir)/imgrlecmds.cc $(srcdir)/imgbitscmds.cc \
	$(srcdir)/nustring.cc $(srcdir)/ocr.cc $(srcdir)/narray.cc \
	$(srcdir)/../version.cc $(srcdir)/fst.cc $(srcdir)/tess.cc \
	$(srcdir)/tess-stub.cc
#am__objects_1 = fst.$(OBJEXT)
am__objects_2 = tess.$(OBJEXT)
#am__objects_3 = tess-stub.$(OBJEXT)
am_libocroscript_a_OBJECTS = graphics.$(OBJEXT) sysutil.$(OBJEXT) \
	image.$(OBJEXT) imgrlecmds.$(OBJEXT) imgbitscmds.$(OBJEXT) \
	nustring.$(OBJEXT) ocr.$(OBJEXT) narray.$(OBJEXT) \
	version.$(OBJEXT) $(am__objects_1) $(am__objects_2) \
	$(am__objects_3)
libocroscript_a_OBJECTS = $(am_libocroscript_a_OBJECTS)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_ocroscript_OBJECTS = ocroscript.$(OBJEXT) ocrotoplevel.$(OBJEXT)
ocroscript_OBJECTS = $(am_ocroscript_OBJECTS)
am__DEPENDENCIES_1 = $(LUADIR)/liblua.a
am__DEPENDENCIES_2 = $(TOLUADIR)/libtolua++.a
am__DEPENDENCIES_3 =
ocroscript_DEPENDENCIES = $(am__DEPENDENCIES_1) libocroscript.a \
	$(srcdir)/../libocropus.a $(am__DEPENDENCIES_2) \
	$(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
SOURCES = $(libocroscript_a_SOURCES) $(ocroscript_SOURCES)
DIST_SOURCES = $(am__libocroscript_a_SOURCES_DIST) \
	$(ocroscript_SOURCES)
nobase_scriptsDATA_INSTALL = $(install_sh_DATA)
DATA = $(nobase_scripts_DATA)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/ilya/iupr/ocropus-test/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/ilya/iupr/ocropus-test/missing --run tar
AUTOCONF = ${SHELL} /home/ilya/iupr/ocropus-test/missing --run autoconf
AUTOHEADER = ${SHELL} /home/ilya/iupr/ocropus-test/missing --run autoheader
AUTOMAKE = ${SHELL} /home/ilya/iupr/ocropus-test/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = 
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"ocropus\" -DPACKAGE_TARNAME=\"ocropus\" -DPACKAGE_VERSION=\"0.3\" -DPACKAGE_STRING=\"ocropus\ 0.3\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"ocropus\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_WAIT_H=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_FLOAT_H=1 -DHAVE_MALLOC_H=1 -DHAVE_STDINT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_UNISTD_H=1 -DHAVE_WCHAR_H=1 -DHAVE_LIBZ=1 -DHAVE_LIBPNG=1 -DHAVE_LIBJPEG=1 -DHAVE_LIBTIFF=1 -DHAVE_LIBIULIB=1 -DHAVE_LIBPTHREAD=1 -DHAVE_LIBTESSERACT_FULL=1 -DHAVE_FORK=1 -DHAVE_VFORK=1 -DHAVE_WORKING_VFORK=1 -DHAVE_WORKING_FORK=1 -DHAVE_DUP2=1 -DHAVE_MEMSET=1 -DHAVE_SQRT=1 -DHAVE_STRCHR=1 -DHAVE_STRDUP=1 -DHAVE_STRRCHR=1
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS =  -L/usr/local/lib -L/home/ilya/iupr/installed/lib
LIBOBJS = 
LIBS = -ltesseract_full -lpthread -liulib -ltiff -ljpeg -lpng -lz 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/ilya/iupr/ocropus-test/missing --run makeinfo
OBJEXT = o
PACKAGE = ocropus
PACKAGE_BUGREPORT = 
PACKAGE_NAME = ocropus
PACKAGE_STRING = ocropus 0.3
PACKAGE_TARNAME = ocropus
PACKAGE_VERSION = 0.3
PATH_SEPARATOR = :
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.3
ac_ct_CC = gcc
ac_ct_CXX = g++
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = 
colibheaders = /home/ilya/iupr/installed/include/colib
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/ilya/iupr/ocropus-test/install-sh
iulib_prefix = /home/ilya/iupr/installed
iulibheaders = /home/ilya/iupr/installed/include/iulib
iuliblibs = /home/ilya/iupr/installed/lib
leptheaders = 
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p --
noeditline = 1
nofst = 1
nofst_FALSE = #
nofst_TRUE = 
noposix = 
nosdl = 1
nosdl_FALSE = #
nosdl_TRUE = 
notesseract = 
notesseract_FALSE = 
notesseract_TRUE = #
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
tesseract_prefix = /usr/local
tessheaders = /usr/local/include/tesseract
tesslibs = /usr/local/lib
use_editline_FALSE = 
use_editline_TRUE = #
use_leptonica = no
use_leptonica_FALSE = 
use_leptonica_TRUE = #
TOLUADIR = $(srcdir)/../ext/tolua++
TOLUALIB = $(TOLUADIR)/libtolua++.a
TOLUA = $(TOLUADIR)/tolua++
LUADIR = $(srcdir)/../ext/lua
LUALIB = $(LUADIR)/liblua.a
AM_CPPFLAGS = -I$(srcdir)/../ext/voronoi -I$(srcdir)/../imgbits \
	-I$(srcdir)/../ocr-langmods -I$(srcdir)/../ocr-binarize \
	-I$(srcdir)/../ocr-bpnet -I$(srcdir)/../ocr-deskew-rast \
	-I$(srcdir)/../ocr-doc-clean -I$(srcdir)/../ocr-layout-rast \
	-I$(srcdir)/../ocr-pageseg -I$(srcdir)/../ocr-samples \
	-I$(srcdir)/../ocr-utils -I$(srcdir)/../ocr-leptonica \
	-I/home/ilya/iupr/installed/include/iulib -I/home/ilya/iupr/installed/include/colib -I/home/ilya/iupr/installed/include/colib/.. \
	-I$(TOLUADIR) -I$(LUADIR) $(am__append_1) $(am__append_3) \
	$(am__append_6) $(am__append_8)
AM_LDFLAGS = -Wl,-E

# having /../ocroscript/ all over the place looks a bit ugly, but later we
# will have .pkg files also in other subfolders. The check-am.py script
# checks paths from top-level, that's the reason for the long versions.
lib_LIBRARIES = libocroscript.a
libocroscript_a_SOURCES = $(srcdir)/graphics.cc $(srcdir)/sysutil.cc \
	$(srcdir)/image.cc $(srcdir)/imgrlecmds.cc \
	$(srcdir)/imgbitscmds.cc $(srcdir)/nustring.cc \
	$(srcdir)/ocr.cc $(srcdir)/narray.cc $(srcdir)/../version.cc \
	$(am__append_2) $(am__append_4) $(am__append_5)
ocroscript_SOURCES = $(srcdir)/../ocroscript/ocroscript.cc $(srcdir)/../ocroscript/ocrotoplevel.cc 
ocroscript_LDADD = -ltiff -lpng -ljpeg $(LUALIB) libocroscript.a \
	$(srcdir)/../libocropus.a $(TOLUALIB) $(am__append_7) \
	$(am__append_9)

# install scripts
scriptsdir = ${datadir}/ocropus
nobase_scripts_DATA = $(srcdir)/scripts/*.lua \
	$(srcdir)/scripts/lib/*.lua
all: all-am

.SUFFIXES:
.SUFFIXES: .cc .o .obj .pkg
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  ocroscript/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  ocroscript/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-libLIBRARIES: $(lib_LIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(mkdir_p) "$(DESTDIR)$(libdir)"
	@list='$(lib_LIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f=$(am__strip_dir) \
