=== ext/lua/Makefile ===
# Copyright 2008 Deutsches Forschungszentrum fuer Kuenstliche Intelligenz 
# or its licensors, as applicable.
# 
# You may not use this file except under the terms of the accompanying license.
# 
# Licensed under the Apache License, Version 2.0 (the "License"); you
# may not use this file except in compliance with the License. You may
# obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# 
# Project: OCRopus - the open source document analysis and OCR system
# File: Makefile.in
# Purpose: building liblua.a
# Responsible: kofler
# Reviewer: 
# Primary Repository: http://ocropus.googlecode.com/svn/trunk/
# Web Sites: www.iupr.org, www.dfki.de

CXX=g++
RANLIB=ranlib
srcdir = .

CFLAGS=-g -O2 -DLUA_USE_POSIX

liblua.a: lapi.o lcode.o ldebug.o ldo.o ldump.o lfunc.o lgc.o llex.o lmem.o \
        lobject.o lopcodes.o lparser.o lstate.o lstring.o ltable.o ltm.o \
        lundump.o lvm.o lzio.o lauxlib.o lbaselib.o ldblib.o liolib.o \
        lmathlib.o loslib.o ltablib.o lstrlib.o loadlib.o linit.o
	$(AR) crf $@ $^
	$(RANLIB) $@

clean:
	rm -f *.o *.a
