=== ext/lua/SConstruct ===
import glob,os,sys,string,re

opt = "-O2"

env = Environment()
env.Replace(CCFLAGS="-g "+opt+" -DLUA_USE_POSIX")

env.StaticLibrary('liblua.a',"""
	lapi.c lcode.c ldebug.c ldo.c ldump.c lfunc.c lgc.c llex.c lmem.c
        lobject.c lopcodes.c lparser.c lstate.c lstring.c ltable.c ltm.c
        lundump.c lvm.c lzio.c lauxlib.c lbaselib.c ldblib.c liolib.c
	lmathlib.c loslib.c ltablib.c lstrlib.c loadlib.c linit.c
""".split())
