=== debian/changelog ===
ocropus (0.3.1-4) unstable; urgency=low

  * Fix patch headers to be in line with DEP-3.
  * Pass CFLAGS, CXXFLAGS, CPPFALGS and LDFLAGS (got from dpkg-buildflags) to
    the build system.
    + Build depend on dpkg-dev (>= 1.15.7).
  * Fix FTBFS with -Werror=format-security (closes: #645896). Thanks to Colin
    Watson for the bug report and the patch.
  * Honor CFLAGS from environment in ext/lua/Makefile.
  * Bump standards version to 3.9.2 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 19 Nov 2011 20:12:58 +0100

ocropus (0.3.1-3) unstable; urgency=low

  * Bump standards version to 3.8.4 (no changes needed).
  * Update my e-mail address.
  * Replace build-dependency on libjpeg62-dev with libjpeg-dev.
  * Force autoconf to use aclocal-1.9.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 27 Apr 2010 22:00:58 +0200

ocropus (0.3.1-2) unstable; urgency=low

  * Add Vcs-* fields to debian/control.
  * Recommendation for tesseract-ocr was accidentally dropped in 0.3.1-1.
    Re-add it. (Closes: #564236)

 -- Jakub Wilk <ubanus@users.sf.net>  Fri, 08 Jan 2010 22:21:46 +0100

ocropus (0.3.1-1) unstable; urgency=low

  [ Jeffrey Ratcliffe ]
  * New upstream release. (Closes: #518772)

  [ Jakub Wilk ]
  * Add myself to uploaders.
  * Use source format 3.0 (quilt).
  * Bump standards version to 3.8.3 (no changes needed).
  * Add lintian override for configure-generated-file-in-source.
  * Respect the OCRODATA environment variable for all lua scripts.
    (ocrodata-env.diff)
  * Use /usr/share/ocropus/scripts/ and /usr/share/ocropus/ as defaults for
    OCROSCRIPTS and OCRODATA. (usr-local.diff)
  * As new ocropus breaks ocrodjvu, add an appropriate Breaks: field.
  * Update documentation URL. (Closes: #551174)
  * Document what is the default for $OCROSCRIPTS. (Closes: #551167)
  * Recommend the ‘recognize’ script in the ocropus(1) manual page (rather
    than ‘rec-tess’ which is gone).
  * Build-depend on autoconf, automake1.9, libtool; run autoreconf where
    appropriate.
  * Don't use the embedded copy of Lua. (system-lua.diff)

 -- Jakub Wilk <ubanus@users.sf.net>  Thu, 26 Nov 2009 20:43:17 +0100

ocropus (0.2-1) unstable; urgency=low

  * Initial release. (Closes: #461097)
    Thanks to c_korn@gmx.de for the install_dir patch

 -- Jeffrey Ratcliffe <jeffrey.ratcliffe@gmail.com>  Mon, 01 Dec 2008 18:41:11 +0100
