=== debian/control ===
Source: ocropus
Section: graphics
Priority: optional
Maintainer: Jeffrey Ratcliffe <jeffrey.ratcliffe@gmail.com>
Uploaders: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
  dpkg-dev (>= 1.15.7),
  autotools-dev, autoconf, automake1.9, libtool,
  liblua5.1-0-dev, libtolua-dev,
  libiulib-dev, tesseract-ocr-dev (>= 2.03-2), libpng12-dev, libjpeg-dev, libtiff4-dev, libedit-dev,
  tesseract-ocr-eng, python
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/ocropus/
Vcs-Hg: http://hg.debian.org/hg/collab-maint/ocropus
Vcs-Browser: http://hg.debian.org/hg/collab-maint/ocropus

Package: ocropus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ocropus-data (= ${source:Version})
Recommends: tesseract-ocr (>= 2.03-2)
Breaks: ocrodjvu (<< 0.3)
Description: document analysis and OCR system
 OCRopus(tm) is a state-of-the-art document analysis and Optical
 Character Recognition (OCR) system, featuring
 pluggable layout analysis, pluggable character recognition, statistical
 natural language modeling, and multi-lingual capabilities.
 .
 The OCRopus engine is based on two research projects: a high-performance
 handwriting recognizer developed in the mid-90's and deployed by the US Census
 bureau, and novel high-performance layout analysis methods.
 .
 OCRopus development is sponsored by Google and is initially intended for
 high-throughput, high-volume document conversion efforts. It
 will also be an excellent OCR system for many other applications.

Package: ocropus-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: document analysis and OCR system --- data files
 OCRopus(tm) is a state-of-the-art document analysis and Optical
 Character Recognition (OCR) system, featuring
 pluggable layout analysis, pluggable character recognition, statistical
 natural language modeling, and multi-lingual capabilities.
 .
 The OCRopus engine is based on two research projects: a high-performance
 handwriting recognizer developed in the mid-90's and deployed by the US Census
 bureau, and novel high-performance layout analysis methods.
 .
 OCRopus development is sponsored by Google and is initially intended for
 high-throughput, high-volume document conversion efforts. It
 will also be an excellent OCR system for many other applications.
 .
 The ocropus-data package contains the architecture-independent data required
 by ocropus.
