=== debian/watch ===
version=3
http://code.google.com/p/ocropus/downloads/list http://ocropus.googlecode.com/files/ocropus-(.*)\.tar\.gz
